package com.hwrj.cloud.admin.service;

import java.util.List;
import java.util.Map;

public interface BigScreamService {
    /**
     * 获取总体统计的数据
     * @return
     */
    public Map<String,Object> data1(Long id);

    /**
     * 获取供应商分布信息
     * @return
     */
    public List<Map<String,Object>> date2(String compType);

    /**
     *
     * @return
     */
    public Map<String,Object> data3();

    /**
     * 获取产品分布信息
     * lym
     * @return
     */
    public List<Map<String,Object>> data4();

    /**
     * 获取供应信息
     * @return
     */
    public List<String> data6();

    /**
     * 获取需求信息
     * @return
     */
    public List<String> data7();

    /**
     * 获取需求信息
     * @return
     */
    public List<String> data8();

    /**
     * 获取供应商信息
     * @return
     */
    public List<String> data9();
}
